<template>
  <v-row>
    <v-col cols="4">
      <v-subheader>{{ fieldName }}:</v-subheader>
    </v-col>
    <v-col cols="7">
      <v-select v-model="inputVal" :items="items" outlined hide-details="auto" v-on:change="$emit('selectChange')" :disabled="disabled" ></v-select>
    </v-col>
  </v-row>
</template>

<script>
export default {
  name: 'SelectField',
  props: {
    'value': { default: '', type: String },
    'items': { default: [], type: Array },
    'fieldName': { default: '', type: String },
    'disabled': { default: false, type: Boolean },
  },
  computed: {
    inputVal: {
      get() {
        return this.value;
      },
      set(val) {
        this.$emit('input', val);
      },
    },
  },
};
</script>
